--- title: "getTablePartitions" slug: "analytics-datacatalog-table-gettablepartitions" tags: ["Data Catalog"] updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-datacatalog-table-gettablepartitions" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getTablePartitions Available in VPC Get the list of partitions in a table. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/catalogs/{catalogId}/databases/{databaseName}/tables/{tableName}/partitions | ### Request headers For information about the headers common to all Data Catalog APIs, see [Data Catalog request headers](/docs/en/analytics-datacatalog#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | Required | Catalog ID - See [getCatalogs](/docs/en/analytics-datacatalog-catalog-getcatalogs). | | `databaseName` | String | Required | Database name - See [getDatabases](/docs/en/analytics-datacatalog-database-getdatabases). | | `tableName` | String | Required | Table name - See [getTables](/docs/en/analytics-datacatalog-table-gettables). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-N (default: 1) | | `pageSize` | Integer | Optional | Page output count - 1-200 (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datacatalog.apigw.ntruss.com/api/v1/catalogs/4**/databases/log_database/tables/log_table_2/partitions?pageNo=1&pageSize=20' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | - | Page number | | `pageSize` | Integer | - | Page output count | | `totalCount` | Integer | - | Number of response results | | `requestId` | String | - | ID for the request - UUID format | | `partitionList` | Array | - | Partition list: [partitionList](/docs/en/analytics-datacatalog-table-gettablepartitions#partitionList) | #### `partitionList` The following describes `partitionList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `partitionKey` | Object | - | Partition key information | | `partitionKey.name` | String | - | Partition key name | | `partitionValue` | Object | - | Partition value information | | `partitionValue.valueList` | Array | - | Partition value list | ### Response status codes For response status codes common to all Data Catalog APIs, see [Data Catalog response status codes](/docs/en/analytics-datacatalog#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "pageNo": 1, "pageSize": 20, "totalCount": 6, "requestId": "595f3abc-****-****-****-8c7053506eef", "partitionList": [ { "partitionKey": { "name": "year" }, "partitionValue": { "valueList": [ "2022", "2022", "2022", "2023", "2023", "2023" ] } }, { "partitionKey": { "name": "month" }, "partitionValue": { "valueList": [ "10", "11", "12", "01", "02", "03" ] } } ] } ```